1. Telephony
  • Getting Started
    • Introduction
    • Quickstart
    • Authentication
    • Status codes
  • Webhook
    • Webhook Setup
    • Webhook Events and Schema
  • API Reference
    • Contact
      • Listing
      • Create
      • Filter By SocialPlatformId
      • Form Fields
      • Detail
      • Update
      • Delete
      • Fetch Contact Groups
      • Update tags
    • Tag
      • Listing
    • Channel
      • Listing
      • Create
    • Ticket
      • Listing
      • Create
      • Filter by Contact ID
      • Form Fields
      • Update
      • Update status
    • Category
      • Listing
    • CxLog
      • Listing
    • Message
      • Send message
      • Create comments
      • Get Comments
    • Media Manager
      • Get Folders
      • Get Folder By ID
      • Create Folder
      • Update Folder
      • Delete Folder
      • Get Files
      • Get File By ID
      • Create File
      • Update File
      • Delete File
    • Agent Activity
      • Get Agents Activities
    • Telephony
      • Get Telephony CDR
        GET
Blog
Github
  1. Telephony

Get Telephony CDR

GET
/api/v1/telephony-cdr

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://apigw.klinkcx.com/api/v1/telephony-cdr?selectedDate=&type=&status=&callFrom=&callTo=&trunk=&agentIds=&contactId=&recordingsOnly=&page=&pageSize=&userId=&queueStatus=&agentCallsOnly=&tagIds=' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "requestId": "uuid string",
    "data": [
        {
            "id": "uuid string",
            "uniqueCallId": "string",
            "timeStart": "datetime string (YYYY-MM-DD HH:mm:ss)",
            "callFrom": "string",
            "callTo": "string",
            "callDuration": 0,
            "talkDuration": 0,
            "srcTrunkName": "string",
            "dstTrunkName": "string",
            "status": "string",
            "type": "string",
            "recording": "string",
            "didNumber": "string",
            "agentRingTime": 0,
            "uploadId": "uuid string or null",
            "serialNumber": "string",
            "extensionId": "uuid string or null",
            "telephonyQueueId": "uuid string or null",
            "contactId": "uuid string or null",
            "createdAt": "datetime string",
            "updatedAt": "datetime string",
            "deletedAt": "datetime string or null",
            "isQueueMissedCall": false,
            "callParticipants": "array or null",
            "wrapUpFormId": "uuid string or null",
            "telephonyIvrId": "uuid string or null",
            "upload": {
                "id": "uuid string",
                "fileName": "string",
                "fileSize": 0,
                "fileUrl": "url string"
            },
            "extension": {
                "id": "uuid string",
                "userId": "uuid string",
                "user": {
                    "id": "uuid string",
                    "createdAt": "datetime string",
                    "updatedAt": "datetime string",
                    "name": "string",
                    "phone": "string"
                },
                "extensionId": "string",
                "extensionName": "string",
                "createdAt": "datetime string",
                "updatedAt": "datetime string",
                "deletedAt": "datetime string or null"
            },
            "telephonyQueue": {
                "id": "uuid string",
                "name": "string",
                "status": "string",
                "ringStrategy": "string",
                "callTimeout": 0,
                "companyId": "uuid string",
                "wrapUpTime": 0,
                "createdAt": "datetime string",
                "updatedAt": "datetime string",
                "deletedAt": "datetime string or null"
            },
            "contact": {
                "id": "uuid string",
                "createdAt": "datetime string",
                "updatedAt": "datetime string",
                "deletedAt": "datetime string or null",
                "name": "string",
                "address": "string or null",
                "channel": "string",
                "notes": "string or null",
                "contactNumber": 0,
                "companyId": "uuid string or null",
                "contactProfile": "object or null",
                "socialProfileUrl": "url string or null"
            },
            "tags": [
                {
                    "id": "uuid string",
                    "name": "string",
                    "color": "string hex"
                }
            ]
        }
    ],
    "total": 0,
    "page": 1,
    "pageSize": 10,
    "lastPage": 0
}
Modified at 2026-03-24 10:36:25
Previous
Get Agents Activities
Built with